"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatDate = void 0;
/**
 * Should not be used by users as method is prone to breaking changes.
 * @internal
 */
const formatDate = date => {
  if (!date) {
    return null;
  } else if (date instanceof Date) {
    return date.toISOString();
  }
  return new Date(date).toISOString();
};
exports.formatDate = formatDate;

//# sourceMappingURL=formatDate.js.map